
{
  "orderdeliverinform": {
    "_parent": {
      "type": "info"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idOrder": {
        "type": "long"
      },
      "linkMan": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "linkPhone": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "sendProvince": {
        "type": "keyword",
        "index": "not_analyzed"
      },
      "sendCity": {
        "type": "keyword",
        "index": "not_analyzed"
      },
      "sendDistrict": {
        "type": "keyword",
        "index": "not_analyzed"
      },
      "sendAddress": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "needDeliverQty": {
        "type": "double"
      },
      "deliveredQty": {
        "type": "double"
      },
      "sendState": {
        "type": "integer"
      },
      "sendKind": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idLogistics": {
        "type": "long"
      },
      "logisticsName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "customerLogisticsName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "payOnDeliveryFlag": {
        "type": "integer"
      },
      "longitude": {
        "type": "double"
      },
      "latitude": {
        "type": "double"
      },
      "orderMoneyTotal": {
        "type": "double"
      },
      "orderMoneyPay": {
        "type": "double"
      },
      "idClient": {
        "type": "long"
      },
      "voidFlag": {
        "type": "integer"
      },
      "acDeliverDateLong": {
        "type": "long"
      },
      "deliverMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "createMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "packDetail": {
        "type": "text",
        "index": "not_analyzed"
      },
      "packageCount": {
        "type": "integer"
      },
      "calcMallWeight": {
        "type": "double"
      },
      "calcMallBoxCount": {
        "type": "double"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      }
    }
  }
}
